• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
is codeigniter 3 safe enough to use?

#1
on download page 2.X.X version is marked as stable and 3.X is said to be in development. I was wondering if codeigniter 3.X is safe enough to use? ( I want to use codeigniter to make website for my client so security flaws and other bugs have no place or else my career is at stake)
Pls give definitive answer, thanks
(please correct me, I am a newbee here)
Reply

#2
2.x is stable, but *legacy*.
3.x is released, and *current*, i.e. the version it would be better to work with if just starting out.
Reply

#3
I'd say CodeIgniter 3 is safer. If adds the new Encryption library, changes the way sessions are stored, and has an enhanced form validation class. The database classes and most of the other classes are from CI2, yet scrutinized and continually developed for security and performance. Many thousands of eyes and users have tested the code by now.

Now, none of that matters if you make stupid mistakes. Regardless of the framework you choose, if you don't know PHP and know about common PHP security issues, you're destined to create an application with security issues. CodeIgniter is not a magician.
Reply

#4
PHP Framework can solve basic problem and security.
But it still require security skill of programmer on every it.

CI are the same, it solve basic web security (or reduce cause of any problem in the future).

If you care about security please read about web security and adapt it in every line of your code (not the best solution because it spend most time to it but it can make sure you did not made some mistake).
Reply


Digg   Delicious   Reddit   Facebook   Twitter   StumbleUpon  


  Theme © 2014 iAndrew  
Powered By MyBB, © 2002-2019 MyBB Group.